Package org.drinkless.tdlib

# Class TdApi.StarGiveawayPaymentOption

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StarGiveawayPaymentOption

Enclosing class:
  `TdApi`

public static class TdApi.StarGiveawayPaymentOption extends TdApi.Object
Describes an option for creating of Telegram Star giveaway. Use telegramPaymentPurposeStarGiveaway for out-of-store payments.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `amount`
  The amount to pay, in the smallest units of the currency.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `currency`
  ISO 4217 currency code for the payment.
  `boolean`
  `isAdditional`
  True, if the option must be shown only in the full list of payment options.
  `boolean`
  `isDefault`
  True, if the option must be chosen by default.
  `long`
  `starCount`
  Number of Telegram Stars that will be distributed among winners.
  `String`
  `storeProductId`
  Identifier of the store product associated with the option; may be empty if none.
  `TdApi.StarGiveawayWinnerOption[]`
  `winnerOptions`
  Allowed options for the number of giveaway winners.
  `int`
  `yearlyBoostCount`
  Number of times the chat will be boosted for one year if the option is chosen.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StarGiveawayPaymentOption()`
  Describes an option for creating of Telegram Star giveaway.
  `StarGiveawayPaymentOption(String currency, long amount, long starCount, String storeProductId, int yearlyBoostCount, TdApi.StarGiveawayWinnerOption[] winnerOptions, boolean isDefault, boolean isAdditional)`
  Describes an option for creating of Telegram Star giveaway.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### currency

    public String currency
    ISO 4217 currency code for the payment.

  - ### amount

    public long amount
    The amount to pay, in the smallest units of the currency.

  - ### starCount

    public long starCount
    Number of Telegram Stars that will be distributed among winners.

  - ### storeProductId

    public String storeProductId
    Identifier of the store product associated with the option; may be empty if none.

  - ### yearlyBoostCount

    public int yearlyBoostCount
    Number of times the chat will be boosted for one year if the option is chosen.

  - ### winnerOptions

    public TdApi.StarGiveawayWinnerOption[] winnerOptions
    Allowed options for the number of giveaway winners.

  - ### isDefault

    public boolean isDefault
    True, if the option must be chosen by default.

  - ### isAdditional

    public boolean isAdditional
    True, if the option must be shown only in the full list of payment options.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StarGiveawayPaymentOption

    public StarGiveawayPaymentOption()
    Describes an option for creating of Telegram Star giveaway. Use telegramPaymentPurposeStarGiveaway for out-of-store payments.

  - ### StarGiveawayPaymentOption

    public StarGiveawayPaymentOption(String currency, long amount, long starCount, String storeProductId, int yearlyBoostCount, TdApi.StarGiveawayWinnerOption[] winnerOptions, boolean isDefault, boolean isAdditional)
    Describes an option for creating of Telegram Star giveaway. Use telegramPaymentPurposeStarGiveaway for out-of-store payments.
    Parameters:
      `currency` - ISO 4217 currency code for the payment.
      `amount` - The amount to pay, in the smallest units of the currency.
      `starCount` - Number of Telegram Stars that will be distributed among winners.
      `storeProductId` - Identifier of the store product associated with the option; may be empty if none.
      `yearlyBoostCount` - Number of times the chat will be boosted for one year if the option is chosen.
      `winnerOptions` - Allowed options for the number of giveaway winners.
      `isDefault` - True, if the option must be chosen by default.
      `isAdditional` - True, if the option must be shown only in the full list of payment options.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR